public inbox for libc-alpha@sourceware.org
 help / color / mirror / Atom feed
From: Romain Geissler <romain.geissler@gmail.com>
To: libc-alpha@sourceware.org
Cc: adhemerval.zanella@linaro.org, romain.geissler@amadeus.com
Subject: [PATCH v2] Take into account ${sysconfdir} in elf/tst-ldconfig-p.sh.
Date: Sun, 26 Mar 2023 19:25:58 +0000	[thread overview]
Message-ID: <20230326192558.64-1-romain.geissler@amadeus.com> (raw)

Hi,

This is a follow up of https://sourceware.org/pipermail/libc-alpha/2023-March/146331.html
this sent by git send-mail, so hopefully the patch applies fine.

Cheers,
Romain


        Take into account ${sysconfdir} in elf/tst-ldconfig-p.sh.

---
 elf/Makefile          |  2 +-
 elf/tst-ldconfig-p.sh | 11 ++++++-----
 2 files changed, 7 insertions(+), 6 deletions(-)

diff --git a/elf/Makefile b/elf/Makefile
index 4d0e04b2a20..262fbd1770c 100644
--- a/elf/Makefile
+++ b/elf/Makefile
@@ -2421,7 +2421,7 @@ $(objpfx)tst-ldconfig-X.out : tst-ldconfig-X.sh $(objpfx)ldconfig
 	$(evaluate-test)
 
 $(objpfx)tst-ldconfig-p.out : tst-ldconfig-p.sh $(objpfx)ldconfig
-	$(SHELL) $< '$(common-objpfx)' '$(test-wrapper-env)' \
+	$(SHELL) $< '$(common-objpfx)' '$(sysconfdir)' '$(test-wrapper-env)' \
 		 '$(run-program-env)' > $@; \
 	$(evaluate-test)
 
diff --git a/elf/tst-ldconfig-p.sh b/elf/tst-ldconfig-p.sh
index ec937bf4ec0..e966c4d1241 100644
--- a/elf/tst-ldconfig-p.sh
+++ b/elf/tst-ldconfig-p.sh
@@ -23,11 +23,12 @@
 # involves emulation when running ldconfig).
 
 common_objpfx=$1
-test_wrapper_env=$2
-run_program_env=$3
+sysconfdir=$2
+test_wrapper_env=$3
+run_program_env=$4
 
-if ! test -r /etc/ld.so.cache; then
-    echo "warning: /etc/ld.so.cache does not exist, test skipped"
+if ! test -r "${sysconfdir}/ld.so.cache"; then
+    echo "warning: ${sysconfdir}/ld.so.cache does not exist, test skipped"
     exit 77
 fi
 
@@ -46,7 +47,7 @@ errors=0
 case $status in
     (0)
 	if head -n 1 "$testout" | \
-		grep -q "libs found in cache \`/etc/ld.so.cache'\$" ; then
+		grep -q "libs found in cache \`${sysconfdir}/ld.so.cache'\$" ; then
 	    echo "info: initial string found" >>"$testout"
 	else
 	    echo "error: initial string not found" >>"$testout"
-- 
2.31.1


             reply	other threads:[~2023-03-26 19:26 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-26 19:25 Romain Geissler [this message]
2023-03-27 17:24 ` Adhemerval Zanella Netto

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230326192558.64-1-romain.geissler@amadeus.com \
    --to=romain.geissler@gmail.com \
    --cc=adhemerval.zanella@linaro.org \
    --cc=libc-alpha@sourceware.org \
    --cc=romain.geissler@amadeus.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).